org.apache.coyote.http11

## Class Http11Protocol.Http11ConnectionHandler

- java.lang.Object
- - org.apache.coyote.AbstractProtocol.AbstractConnectionHandler<Socket,Http11Processor>
  - - org.apache.coyote.http11.Http11Protocol.Http11ConnectionHandler

- All Implemented Interfaces:
    AbstractEndpoint.Handler, JIoEndpoint.Handler
  Enclosing class:
    Http11Protocol

      protected static class Http11Protocol.Http11ConnectionHandler
      extends AbstractProtocol.AbstractConnectionHandler<Socket,Http11Processor>
      implements JIoEndpoint.Handler

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tomcat.util.net.AbstractEndpoint.Handler

      `AbstractEndpoint.Handler.SocketState`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Http11Protocol` | `proto`

    - ### Fields inherited from class org.apache.coyote.AbstractProtocol.AbstractConnectionHandler

      `connections, global, recycledProcessors, registerCount`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Http11Processor` | `createProcessor()`
    `protected Processor<Socket>` | `createUpgradeProcessor(SocketWrapper<Socket> socket, HttpUpgradeHandler httpUpgradeProcessor)`
    `protected Processor<Socket>` | `createUpgradeProcessor(SocketWrapper<Socket> socket, UpgradeInbound inbound)` Deprecated. Will be removed in Tomcat 8.0.x.
    `protected Log` | `getLog()`
    `protected AbstractProtocol<Socket>` | `getProtocol()`
    `SSLImplementation` | `getSslImplementation()`
    `protected void` | `initSsl(SocketWrapper<Socket> socket, Processor<Socket> processor)`
    `protected void` | `longPoll(SocketWrapper<Socket> socket, Processor<Socket> processor)`
    `void` | `release(SocketWrapper<Socket> socket, Processor<Socket> processor, boolean isSocketClosing, boolean addToPoller)` Expected to be used by the handler once the processor is no longer required.

    - ### Methods inherited from class org.apache.coyote.AbstractProtocol.AbstractConnectionHandler

      `getGlobal, process, recycle, register, unregister`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tomcat.util.net.JIoEndpoint.Handler

      `process`

    - ### Methods inherited from interface org.apache.tomcat.util.net.AbstractEndpoint.Handler

      `getGlobal, recycle`

- - ### Field Detail

    - #### proto

          protected Http11Protocol proto

  - ### Method Detail

    - #### getProtocol

          protected AbstractProtocol<Socket> getProtocol()

      Specified by:
        `getProtocol` in class `AbstractProtocol.AbstractConnectionHandler<Socket,Http11Processor>`

    - #### getLog

          protected Log getLog()

      Specified by:
        `getLog` in class `AbstractProtocol.AbstractConnectionHandler<Socket,Http11Processor>`

    - #### getSslImplementation

          public SSLImplementation getSslImplementation()

      Specified by:
        `getSslImplementation` in interface `JIoEndpoint.Handler`

    - #### release

          public void release(SocketWrapper<Socket> socket,
                     Processor<Socket> processor,
                     boolean isSocketClosing,
                     boolean addToPoller)

      Expected to be used by the handler once the processor is no longer required.
      Specified by:
        `release` in class `AbstractProtocol.AbstractConnectionHandler<Socket,Http11Processor>`
      Parameters:
        `socket` - Not used in BIO
        `processor` -
        `isSocketClosing` - Not used in HTTP
        `addToPoller` - Not used in BIO

    - #### initSsl

          protected void initSsl(SocketWrapper<Socket> socket,
                     Processor<Socket> processor)

      Specified by:
        `initSsl` in class `AbstractProtocol.AbstractConnectionHandler<Socket,Http11Processor>`

    - #### longPoll

          protected void longPoll(SocketWrapper<Socket> socket,
                      Processor<Socket> processor)

      Specified by:
        `longPoll` in class `AbstractProtocol.AbstractConnectionHandler<Socket,Http11Processor>`

    - #### createProcessor

          protected Http11Processor createProcessor()

      Specified by:
        `createProcessor` in class `AbstractProtocol.AbstractConnectionHandler<Socket,Http11Processor>`

    - #### createUpgradeProcessor

          @Deprecated
          protected Processor<Socket> createUpgradeProcessor(SocketWrapper<Socket> socket,
                                                            UpgradeInbound inbound)
                                                      throws IOException

      Deprecated. Will be removed in Tomcat 8.0.x.
      Specified by:
        `createUpgradeProcessor` in class `AbstractProtocol.AbstractConnectionHandler<Socket,Http11Processor>`
      Throws:
        `IOException`

    - #### createUpgradeProcessor

          protected Processor<Socket> createUpgradeProcessor(SocketWrapper<Socket> socket,
                                                 HttpUpgradeHandler httpUpgradeProcessor)
                                                      throws IOException

      Specified by:
        `createUpgradeProcessor` in class `AbstractProtocol.AbstractConnectionHandler<Socket,Http11Processor>`
      Throws:
        `IOException`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.